<html>
<head>
<title>OGRE: Ogre::Radian Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Radian.html">Radian</a></div>
<h1>Ogre::Radian Class Reference</h1><!-- doxytag: class="Ogre::Radian" -->Wrapper class which indicates a given angle value is in Radians.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Radian-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#afb3609b2e57ea611a811c2d27f02727">Radian</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> r=0)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#e928a6c0bafde7b018e386ed94d76a84">Radian</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#4eb5fdad21a84b38f56e21b939588845">operator=</a> (const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;f)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#3762e26668e58d4225b9a5a9326b47b4">operator=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#fab8ce89cde3034f3cc5c2537d5ea6fd">operator=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#0b6615ad9e0b769f3772d7eb746e804a">valueDegrees</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#e48b00b9345103217741b497108848d2">valueRadians</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#73959a5a953d4a695388a476387b8e15">valueAngleUnits</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#f59e90dc734c52f9094c6578a3214cd2">operator+</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#3eb1ba600b5a69caf027fc2ebd06a76f">operator+</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#b7a4a877f244d3f355ae1965d562f613">operator+</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#bf3d4527839810f9d2212037660ea9f6">operator+=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#ed5147935125e28f53cb19d70055bc88">operator+=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#48020006e08701535eee9e2de3580161">operator-</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#8178df6c69d605b7ec65ec36ceb44996">operator-</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#18bfac55ff717cba106aa08bc731e26a">operator-</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#5f96dcd933471eabd3d3a21893554834">operator-=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#223a82b9ff74351959eee91a335e7cdb">operator-=</a> (const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#24214d945e0664083faea2c0ad6379b9">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#b0e1798cb2735a8d8c48d5e76a1b53e5">operator *</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;f) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#66eddefc4a3834bd0c9cac9e03b86e8d">operator *=</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#d18c5c9a8ea302a4da28eb900b3062fa">operator/</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#16e2f53d94412cdc81c65292ba05c360">operator/=</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> f)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#250bed316c17b3b3da0687a623000a24">operator&lt;</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#a2fc65d4505221f932d8a18a6812a44d">operator&lt;=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#c24518160311c4c3b911a3e9d7c8b52c">operator==</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#9f9f5aea99b80fa8eadccf8352a78be8">operator!=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#70897e9d1e52953a89271fe39272f27e">operator&gt;=</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#30c7c6a0c20e53fdb590875475be85f0">operator&gt;</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;r) const </td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html#d35b7fb091624e857c0a9b2152c6c39a">mRad</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Wrapper class which indicates a given angle value is in Radians. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Radian.html" title="Wrapper class which indicates a given angle value is in Radians.">Radian</a> values are interchangeable with <a class="el" href="classOgre_1_1Degree.html" title="Wrapper class which indicates a given angle value is in Degrees.">Degree</a> values, and conversions will be done automatically between them. </dd></dl>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00041">41</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="afb3609b2e57ea611a811c2d27f02727"></a><!-- doxytag: member="Ogre::Radian::Radian" ref="afb3609b2e57ea611a811c2d27f02727" args="(Real r=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Radian::Radian           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>r</em> = <code>0</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00046">46</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00222">Ogre::Math::Abs()</a>, <a class="el" href="OgreMath_8h-source.html#l00225">Ogre::Math::ATan()</a>, <a class="el" href="OgreMath_8h-source.html#l00226">Ogre::Math::ATan2()</a>, <a class="el" href="OgreMath_8h-source.html#l00066">operator *()</a>, <a class="el" href="OgreMath_8h-source.html#l00057">operator+()</a>, <a class="el" href="OgreMath_8h-source.html#l00061">operator-()</a>, <a class="el" href="OgreMath_8h-source.html#l00069">operator/()</a>, <a class="el" href="OgreMath_8h-source.html#l00259">Ogre::Math::Sign()</a>, and <a class="el" href="OgreMath_8h-source.html#l00293">Ogre::Math::Sqrt()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e928a6c0bafde7b018e386ed94d76a84"></a><!-- doxytag: member="Ogre::Radian::Radian" ref="e928a6c0bafde7b018e386ed94d76a84" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Radian::Radian           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00141">141</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4eb5fdad21a84b38f56e21b939588845"></a><!-- doxytag: member="Ogre::Radian::operator=" ref="4eb5fdad21a84b38f56e21b939588845" args="(const Real &amp;f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00048">48</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="3762e26668e58d4225b9a5a9326b47b4"></a><!-- doxytag: member="Ogre::Radian::operator=" ref="3762e26668e58d4225b9a5a9326b47b4" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00049">49</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="fab8ce89cde3034f3cc5c2537d5ea6fd"></a><!-- doxytag: member="Ogre::Radian::operator=" ref="fab8ce89cde3034f3cc5c2537d5ea6fd" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp; Ogre::Radian::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00143">143</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00565">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div><p>
<a class="anchor" name="0b6615ad9e0b769f3772d7eb746e804a"></a><!-- doxytag: member="Ogre::Radian::valueDegrees" ref="0b6615ad9e0b769f3772d7eb746e804a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Radian::valueDegrees           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00555">555</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00330">Ogre::Math::RadiansToDegrees()</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00102">Ogre::Degree::operator+()</a>, <a class="el" href="OgreMath_8h-source.html#l00104">Ogre::Degree::operator+=()</a>, <a class="el" href="OgreMath_8h-source.html#l00107">Ogre::Degree::operator-()</a>, <a class="el" href="OgreMath_8h-source.html#l00109">Ogre::Degree::operator-=()</a>, and <a class="el" href="OgreMath_8h-source.html#l00094">Ogre::Degree::operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e48b00b9345103217741b497108848d2"></a><!-- doxytag: member="Ogre::Radian::valueRadians" ref="e48b00b9345103217741b497108848d2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Radian::valueRadians           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00053">53</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00222">Ogre::Math::Abs()</a>, <a class="el" href="OgreMath_8h-source.html#l00236">Ogre::Math::Cos()</a>, <a class="el" href="OgreVector3_8h-source.html#l00738">Ogre::Vector3::directionEquals()</a>, <a class="el" href="OgreMath_8h-source.html#l00585">Ogre::operator *()</a>, <a class="el" href="OgreMath_8h-source.html#l00590">Ogre::operator/()</a>, <a class="el" href="OgreMath_8h-source.html#l00259">Ogre::Math::Sign()</a>, <a class="el" href="OgreMath_8h-source.html#l00275">Ogre::Math::Sin()</a>, <a class="el" href="OgreMath_8h-source.html#l00293">Ogre::Math::Sqrt()</a>, and <a class="el" href="OgreMath_8h-source.html#l00315">Ogre::Math::Tan()</a>.</p>

</div>
</div><p>
<a class="anchor" name="73959a5a953d4a695388a476387b8e15"></a><!-- doxytag: member="Ogre::Radian::valueAngleUnits" ref="73959a5a953d4a695388a476387b8e15" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Radian::valueAngleUnits           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00560">560</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="classOgre_1_1Math.html#5bf9a37ed880a35ae569c668b8fc1ffb">Ogre::Math::RadiansToAngleUnits()</a>.</p>

<p>Referenced by <a class="el" href="OgreStringConverter_8h-source.html#l00066">Ogre::StringConverter::toString()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f59e90dc734c52f9094c6578a3214cd2"></a><!-- doxytag: member="Ogre::Radian::operator+" ref="f59e90dc734c52f9094c6578a3214cd2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator+           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00056">56</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3eb1ba600b5a69caf027fc2ebd06a76f"></a><!-- doxytag: member="Ogre::Radian::operator+" ref="3eb1ba600b5a69caf027fc2ebd06a76f" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00057">57</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b7a4a877f244d3f355ae1965d562f613"></a><!-- doxytag: member="Ogre::Radian::operator+" ref="b7a4a877f244d3f355ae1965d562f613" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00146">146</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>, and <a class="el" href="OgreMath_8h-source.html#l00565">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div><p>
<a class="anchor" name="bf3d4527839810f9d2212037660ea9f6"></a><!-- doxytag: member="Ogre::Radian::operator+=" ref="bf3d4527839810f9d2212037660ea9f6" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00059">59</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="ed5147935125e28f53cb19d70055bc88"></a><!-- doxytag: member="Ogre::Radian::operator+=" ref="ed5147935125e28f53cb19d70055bc88" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp; Ogre::Radian::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00149">149</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00565">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div><p>
<a class="anchor" name="48020006e08701535eee9e2de3580161"></a><!-- doxytag: member="Ogre::Radian::operator-" ref="48020006e08701535eee9e2de3580161" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator-           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00061">61</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8178df6c69d605b7ec65ec36ceb44996"></a><!-- doxytag: member="Ogre::Radian::operator-" ref="8178df6c69d605b7ec65ec36ceb44996" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00062">62</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>.</p>

</div>
</div><p>
<a class="anchor" name="18bfac55ff717cba106aa08bc731e26a"></a><!-- doxytag: member="Ogre::Radian::operator-" ref="18bfac55ff717cba106aa08bc731e26a" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00153">153</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>, and <a class="el" href="OgreMath_8h-source.html#l00565">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div><p>
<a class="anchor" name="5f96dcd933471eabd3d3a21893554834"></a><!-- doxytag: member="Ogre::Radian::operator-=" ref="5f96dcd933471eabd3d3a21893554834" args="(const Radian &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00064">64</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="223a82b9ff74351959eee91a335e7cdb"></a><!-- doxytag: member="Ogre::Radian::operator-=" ref="223a82b9ff74351959eee91a335e7cdb" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp; Ogre::Radian::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00156">156</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00565">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div><p>
<a class="anchor" name="24214d945e0664083faea2c0ad6379b9"></a><!-- doxytag: member="Ogre::Radian::operator *" ref="24214d945e0664083faea2c0ad6379b9" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00066">66</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b0e1798cb2735a8d8c48d5e76a1b53e5"></a><!-- doxytag: member="Ogre::Radian::operator *" ref="b0e1798cb2735a8d8c48d5e76a1b53e5" args="(const Radian &amp;f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00067">67</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>.</p>

</div>
</div><p>
<a class="anchor" name="66eddefc4a3834bd0c9cac9e03b86e8d"></a><!-- doxytag: member="Ogre::Radian::operator *=" ref="66eddefc4a3834bd0c9cac9e03b86e8d" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator *=           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00068">68</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="d18c5c9a8ea302a4da28eb900b3062fa"></a><!-- doxytag: member="Ogre::Radian::operator/" ref="d18c5c9a8ea302a4da28eb900b3062fa" args="(Real f) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> Ogre::Radian::operator/           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00069">69</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>, and <a class="el" href="OgreMath_8h-source.html#l00046">Radian()</a>.</p>

</div>
</div><p>
<a class="anchor" name="16e2f53d94412cdc81c65292ba05c360"></a><!-- doxytag: member="Ogre::Radian::operator/=" ref="16e2f53d94412cdc81c65292ba05c360" args="(Real f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Radian::operator/=           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>f</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00070">70</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="250bed316c17b3b3da0687a623000a24"></a><!-- doxytag: member="Ogre::Radian::operator&lt;" ref="250bed316c17b3b3da0687a623000a24" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&lt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00072">72</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="a2fc65d4505221f932d8a18a6812a44d"></a><!-- doxytag: member="Ogre::Radian::operator&lt;=" ref="a2fc65d4505221f932d8a18a6812a44d" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&lt;=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00073">73</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="c24518160311c4c3b911a3e9d7c8b52c"></a><!-- doxytag: member="Ogre::Radian::operator==" ref="c24518160311c4c3b911a3e9d7c8b52c" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator==           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00074">74</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="9f9f5aea99b80fa8eadccf8352a78be8"></a><!-- doxytag: member="Ogre::Radian::operator!=" ref="9f9f5aea99b80fa8eadccf8352a78be8" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator!=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00075">75</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="70897e9d1e52953a89271fe39272f27e"></a><!-- doxytag: member="Ogre::Radian::operator&gt;=" ref="70897e9d1e52953a89271fe39272f27e" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&gt;=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00076">76</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<a class="anchor" name="30c7c6a0c20e53fdb590875475be85f0"></a><!-- doxytag: member="Ogre::Radian::operator&gt;" ref="30c7c6a0c20e53fdb590875475be85f0" args="(const Radian &amp;r) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Radian::operator&gt;           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00077">77</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h-source.html#l00043">mRad</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="d35b7fb091624e857c0a9b2152c6c39a"></a><!-- doxytag: member="Ogre::Radian::mRad" ref="d35b7fb091624e857c0a9b2152c6c39a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Radian.html#d35b7fb091624e857c0a9b2152c6c39a">Ogre::Radian::mRad</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00043">43</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00066">operator *()</a>, <a class="el" href="OgreMath_8h-source.html#l00068">operator *=()</a>, <a class="el" href="OgreMath_8h-source.html#l00075">operator!=()</a>, <a class="el" href="OgreMath_8h-source.html#l00057">operator+()</a>, <a class="el" href="OgreMath_8h-source.html#l00059">operator+=()</a>, <a class="el" href="OgreMath_8h-source.html#l00061">operator-()</a>, <a class="el" href="OgreMath_8h-source.html#l00064">operator-=()</a>, <a class="el" href="OgreMath_8h-source.html#l00069">operator/()</a>, <a class="el" href="OgreMath_8h-source.html#l00070">operator/=()</a>, <a class="el" href="OgreMath_8h-source.html#l00072">operator&lt;()</a>, <a class="el" href="OgreMath_8h-source.html#l00073">operator&lt;=()</a>, <a class="el" href="OgreMath_8h-source.html#l00048">operator=()</a>, <a class="el" href="OgreMath_8h-source.html#l00074">operator==()</a>, <a class="el" href="OgreMath_8h-source.html#l00077">operator&gt;()</a>, <a class="el" href="OgreMath_8h-source.html#l00076">operator&gt;=()</a>, <a class="el" href="OgreMath_8h-source.html#l00560">valueAngleUnits()</a>, <a class="el" href="OgreMath_8h-source.html#l00555">valueDegrees()</a>, and <a class="el" href="OgreMath_8h-source.html#l00053">valueRadians()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMath_8h-source.html">OgreMath.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:30 2008
</p>
</body>
</html>
